package com.eactive.eai.transformer.message;


public class InvalidMessageException extends MessageException {
	private static final long serialVersionUID = -4221799803325169007L;
	private final Message messageData;

    public InvalidMessageException(String message, Message messageData) {
        this(message, messageData, null);
    }

    public InvalidMessageException(Throwable cause, Message messageData) {
        super(cause.getMessage(), cause);
        this.messageData = messageData;
    }

    public InvalidMessageException(String message, Message messageData,
        Throwable cause) {
        super(message, cause);
        this.messageData = messageData;
    }

    public Message getMessageData() {
        return messageData;
    }
}
